MessageCodesResolver (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.validation

## Interface MessageCodesResolver

- All Known Implementing Classes:
    DefaultMessageCodesResolver

      public interface MessageCodesResolver

  Strategy interface for building message codes from validation error codes. Used by DataBinder to build the codes list for ObjectErrors and FieldErrors.

  The resulting message codes correspond to the codes of a MessageSourceResolvable (as implemented by ObjectError and FieldError).

  Since:
    1.0.1
  Author:
    Juergen Hoeller
  See Also:
    `DataBinder.setMessageCodesResolver(org.springframework.validation.MessageCodesResolver)`, `ObjectError`, `FieldError`, `MessageSourceResolvable.getCodes()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `resolveMessageCodes(String errorCode, String objectName)` Build message codes for the given error code and object name.
    `String[]` | `resolveMessageCodes(String errorCode, String objectName, String field, Class<?> fieldType)` Build message codes for the given error code and field specification.

- - ### Method Detail

    - #### resolveMessageCodes

          String[] resolveMessageCodes(String errorCode,
                                     String objectName)

      Build message codes for the given error code and object name. Used for building the codes list of an ObjectError.
      Parameters:
        `errorCode` - the error code used for rejecting the object
        `objectName` - the name of the object
      Returns:
        the message codes to use

    - #### resolveMessageCodes

          String[] resolveMessageCodes(String errorCode,
                                     String objectName,
                                     String field,
                                     Class<?> fieldType)

      Build message codes for the given error code and field specification. Used for building the codes list of an FieldError.
      Parameters:
        `errorCode` - the error code used for rejecting the value
        `objectName` - the name of the object
        `field` - the field name
        `fieldType` - the field type (may be `null` if not determinable)
      Returns:
        the message codes to use